/*
 *      lark-main-window.h
 *
 *      Copyright 2016-2018 Alex <alex@linuxonly.ru>
 *
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LARK_MAIN_WINDOW_H
#define LARK_MAIN_WINDOW_H

#include <gtk/gtk.h>
#include <gspell/gspell.h>

#include "lark-app.h"
#include "lark-gstreamer.h"
#include "lark-rhvoice.h"
#include "lark-core.h"
#include "lark-document-loader.h"

G_BEGIN_DECLS

#define LARK_TYPE_MAIN_WINDOW (lark_main_window_get_type ())

G_DECLARE_FINAL_TYPE (LarkMainWindow, lark_main_window, LARK, MAIN_WINDOW, GtkApplicationWindow)

GtkWidget *lark_main_window_new(LarkApp *app, LarkGstreamer *gstreamer, LarkCore *core, LarkDocumentLoader *docloader, GSettings *prefsettings, GSettings *eqsettings, GSettings *expsettings, gchar **filenames);

G_END_DECLS

#endif /* LARK_MAIN_WINDOW_H */
