/*
 *      lark-rhvoice.h
 *
 *      Copyright 2016-2018 Alex <alex@linuxonly.ru>
 *
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LARK_RHVOICE_H
#define LARK_RHVOICE_H

#include <gtk/gtk.h>

#include "lark-tts-engine.h"

G_BEGIN_DECLS

#define LARK_TYPE_RHVOICE (lark_rhvoice_get_type ())

G_DECLARE_FINAL_TYPE (LarkRHVoice, lark_rhvoice, LARK, RHVOICE, LarkTtsEngine)

LarkRHVoice *lark_rhvoice_new(void);

gboolean lark_rhvoice_set_voice(LarkRHVoice *self, LarkTtsEngineVoice *voice);

gboolean lark_rhvoice_generate_samples(LarkRHVoice *self, gchar *line, gboolean *genstate);

G_END_DECLS

#endif /* LARK_RHVOICE */
